Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154648 - Misformated output from /etc/rc.d/init.d/nfslock stop
Summary: Misformated output from /etc/rc.d/init.d/nfslock stop
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nfs-utils
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: 165065
TreeView+ depends on / blocked
 
Reported: 2005-04-13 10:46 UTC by Kasper Dupont
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-05 07:32:48 UTC


Attachments (Terms of Use)
Patch to add missing echo commands (deleted)
2005-04-13 10:47 UTC, Kasper Dupont
no flags Details | Diff

Description Kasper Dupont 2005-04-13 10:46:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031114

Description of problem:
In some cases nfslock stop will not write newlines between the output lines causing error messages to be overwritten before you have had time to read them.


Version-Release number of selected component (if applicable):
nfs-utils-1.0.6-52

How reproducible:
Always

Steps to Reproduce:
1. /etc/rc.d/init.d/nfslock stop


Actual Results:  Stopping NFS statd:   [  OK  ]


Expected Results:  Stopping NFS locking: [Failed]
Stopping NFS statd:   [  OK  ]


Additional info:

On a slow machine the Failed message will be visible for a splitsecond while shutting down the system. I don't know why it fails, maybe that is a different bug.

Comment 1 Kasper Dupont 2005-04-13 10:47:41 UTC
Created attachment 113089 [details]
Patch to add missing echo commands

Comment 2 Steve Dickson 2005-04-13 18:56:55 UTC
Fixed in nfs-utils-1.0.6-56 for FC3
Fixed in nfs-utils-1.0.6-57 for RHEL4
Fixed in nfs-utils-1.0.7-6  for FC4


Note You need to log in before you can comment on or make changes to this bug.